- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::PDFUA::PDFUAOptions Class Reference

`#include <PDFUAOptions.h>`

Inheritance diagram for pdftron::PDF::PDFUA::PDFUAOptions:

## Public Member Functions
| PDFUAOptions ()
| ~PDFUAOptions ()
PDFUAConformance::Level | GetConformanceLevel ()
PDFUAOptions & | SetConformanceLevel (PDFUAConformance::Level value)
UString | GetDefaultLangCode ()
PDFUAOptions & | SetDefaultLangCode (const UString &value)
UString | GetFigureAltTextPrefix ()
PDFUAOptions & | SetFigureAltTextPrefix (const UString &value)
bool | GetFirstStop ()
PDFUAOptions & | SetFirstStop (bool value)
UInt32 | GetMaxRefObjs ()
PDFUAOptions & | SetMaxRefObjs (UInt32 value)
UString | GetPassword ()
PDFUAOptions & | SetPassword (const UString &value)
bool | GetSaveLinearized ()
PDFUAOptions & | SetSaveLinearized (bool value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 10 of file PDFUAOptions.h.

## Constructor & Destructor Documentation

pdftron::PDF::PDFUA::PDFUAOptions::PDFUAOptions | ( |  | ) |

pdftron::PDF::PDFUA::PDFUAOptions::~PDFUAOptions | ( |  | ) |

## Member Function Documentation

PDFUAConformance::Level pdftron::PDF::PDFUA::PDFUAOptions::GetConformanceLevel | ( |  | ) |

Gets the value ConformanceLevel from the options object. The PDF/UA conformance level. By default the conformance level is PDF/UA-1.

Returns
  The current value for ConformanceLevel.

UString pdftron::PDF::PDFUA::PDFUAOptions::GetDefaultLangCode | ( |  | ) |

Gets the value DefaultLangCode from the options object. The natural language code to set on the document if it is missing.

Returns
  The current value for DefaultLangCode.

UString pdftron::PDF::PDFUA::PDFUAOptions::GetFigureAltTextPrefix | ( |  | ) |

Gets the value FigureAltTextPrefix from the options object. The prefix to use when setting Alt for Image and Graphic tags. By default, and when this is empty, the tag name will be used.

Returns
  The current value for FigureAltTextPrefix.

bool pdftron::PDF::PDFUA::PDFUAOptions::GetFirstStop | ( |  | ) |

Gets the value FirstStop from the options object. Whether to stop processing after the first PDF/UA error is detected. By default, processing continues.

Returns
  The current value for FirstStop.

UInt32 pdftron::PDF::PDFUA::PDFUAOptions::GetMaxRefObjs | ( |  | ) |

Gets the value MaxRefObjs from the options object. The maximum number of object references per error condition. This is 10 by default.

Returns
  The current value for MaxRefObjs.

UString pdftron::PDF::PDFUA::PDFUAOptions::GetPassword | ( |  | ) |

Gets the value Password from the options object. The password to be used for encrypted PDF documents. By default, no password is used.

Returns
  The current value for Password.

bool pdftron::PDF::PDFUA::PDFUAOptions::GetSaveLinearized | ( |  | ) |

Gets the value SaveLinearized from the options object. Whether to linearize when saving converted output. By default, the output is not linearized.

Returns
  The current value for SaveLinearized.

PDFUAOptions& pdftron::PDF::PDFUA::PDFUAOptions::SetConformanceLevel | ( | PDFUAConformance::Level | value | ) |

Sets the value for ConformanceLevel in the options object. The PDF/UA conformance level. By default the conformance level is PDF/UA-1.

Parameters

  value | The new value for ConformanceLevel.

Returns
  This object, for call chaining.

PDFUAOptions& pdftron::PDF::PDFUA::PDFUAOptions::SetDefaultLangCode | ( | const UString & | value | ) |

Sets the value for DefaultLangCode in the options object. The natural language code to set on the document if it is missing.

Parameters

  value | The new value for DefaultLangCode.

Returns
  This object, for call chaining.

PDFUAOptions& pdftron::PDF::PDFUA::PDFUAOptions::SetFigureAltTextPrefix | ( | const UString & | value | ) |

Sets the value for FigureAltTextPrefix in the options object. The prefix to use when setting Alt for Image and Graphic tags. By default, and when this is empty, the tag name will be used.

Parameters

  value | The new value for FigureAltTextPrefix.

Returns
  This object, for call chaining.

PDFUAOptions& pdftron::PDF::PDFUA::PDFUAOptions::SetFirstStop | ( | bool | value | ) |

Sets the value for FirstStop in the options object. Whether to stop processing after the first PDF/UA error is detected. By default, processing continues.

Parameters

  value | The new value for FirstStop.

Returns
  This object, for call chaining.

PDFUAOptions& pdftron::PDF::PDFUA::PDFUAOptions::SetMaxRefObjs | ( | UInt32 | value | ) |

Sets the value for MaxRefObjs in the options object. The maximum number of object references per error condition. This is 10 by default.

Parameters

  value | The new value for MaxRefObjs.

Returns
  This object, for call chaining.

PDFUAOptions& pdftron::PDF::PDFUA::PDFUAOptions::SetPassword | ( | const UString & | value | ) |

Sets the value for Password in the options object. The password to be used for encrypted PDF documents. By default, no password is used.

Parameters

  value | The new value for Password.

Returns
  This object, for call chaining.

PDFUAOptions& pdftron::PDF::PDFUA::PDFUAOptions::SetSaveLinearized | ( | bool | value | ) |

Sets the value for SaveLinearized in the options object. Whether to linearize when saving converted output. By default, the output is not linearized.

Parameters

  value | The new value for SaveLinearized.

Returns
  This object, for call chaining.

The documentation for this class was generated from the following file:

- PDF/PDFUA/PDFUAOptions.h